API referenceRuns
Get Run
GET
/api/v1/runs/{run_id}AuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
run_id*Run Id
Header Parameters
X-Workspace-ID?|
The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/runs/string"{ "agent_id": "string", "agent_revision_id": "string", "attempts": 0, "cancel_requested_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "current_attempt_id": "string", "environment_mounts": [ { "environment_id": "string", "name": "string", "working_directory": "string" } ], "failure": { "code": "string", "message": "string" }, "id": "string", "input": { "property1": null, "property2": null }, "labels": { "property1": "string", "property2": "string" }, "lineage": "root", "max_attempts": 0, "memory_mounts": [ { "access": "read", "memory_id": "string", "name": "string", "recall": true } ], "options": { "labels": { "property1": "string", "property2": "string" }, "max_usage": { "requests": 1 }, "overrides": { "client_tools": [ { "description": "string", "instruction": "string", "metadata": { "property1": null, "property2": null }, "name": "string", "parameters_json_schema": { "property1": null, "property2": null }, "permission": "inherit" } ], "connection_tools": [ { "connection_id": "string", "defer_loading": false, "permission": "inherit", "permissions": { "property1": "allow", "property2": "allow" }, "tools": [ "string" ] } ], "instructions": "string", "media_understanding": { "audio": "string", "image": "string", "video": "string" }, "model": "string", "model_characteristics": { "compact_threshold": 0.9, "context_window_tokens": 1, "proactive_context_management_threshold": 0.65 }, "model_settings": { "property1": null, "property2": null }, "output_spec": { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null }, "variants": [ { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } }, { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } } ] }, "plugins": [ { "config": { "property1": null, "property2": null }, "instance_name": "string", "plugin_key": "string" } ], "retries": { "output": 0, "tools": 0 }, "reviewer": { "instruction": "string", "model": "string", "model_settings": { "property1": null, "property2": null }, "on_error": "deny", "on_flagged": "deny", "risk_threshold": "low", "rules": { "property1": { "on_flagged": "deny", "risk_threshold": "low" }, "property2": { "on_flagged": "deny", "risk_threshold": "low" } }, "shell_instruction": "string", "timeout_seconds": 120 }, "skills": [ { "revision_id": "string", "skill_id": "string" } ], "subagents": {}, "toolsets": { "property1": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} }, "property2": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} } } } }, "output": null, "parent_run_id": "string", "pending": { "approvals": [ { "arguments": { "property1": null, "property2": null }, "presentation": { "property1": null, "property2": null }, "tool_call_id": "string", "tool_name": "string" } ], "calls": [ { "arguments": { "property1": null, "property2": null }, "presentation": { "property1": null, "property2": null }, "tool_call_id": "string", "tool_name": "string" } ] }, "principal_id": "string", "resume": { "approvals": { "property1": { "action": "approve" }, "property2": { "action": "approve" } }, "calls": { "property1": { "status": "returned", "value": null }, "property2": { "status": "returned", "value": null } }, "input": { "content": [ { "text": "string", "type": "text" } ] } }, "resumed_by_id": "string", "revision_selection": "pinned", "sealed_at": "2019-08-24T14:15:22Z", "session_id": "string", "source_entry_id": "string", "started_at": "2019-08-24T14:15:22Z", "status": "accepted", "thread_id": "string", "trigger": "input", "updated_at": "2019-08-24T14:15:22Z", "usage_at_seal": { "property1": null, "property2": null }, "version": 0, "wait_reason": "approval", "workspace_id": "string"}